// simple fragment shader

// 'time' contains seconds since the program was linked.
uniform float time;
uniform sampler2D tex;

void main()
{
	vec4 coord = gl_TexCoord[0];
	coord.y += sin(coord.x*7.0)*0.1*sin(time);
	//coord.y += sin(coord.x*1100.0)*0.015*sin(time*5.0);
	coord.y += sin(coord.x*300.0)*0.01*sin(time*2.0);
	vec4 color = texture2D(tex,vec2(coord));
	gl_FragColor = color;
}